// -- Theming

@each $name, $palette in $cui-palettes {
  @if $name != custom {
    .cui-bg-#{$name} {
      background-color: cui-color($name, bg) !important;
      color: cui-color($name, fill) !important;
    }

    .cui-bg-#{$name}-hover {
      transition: background-color $cui-hover-transition,
                  color $cui-hover-transition;

      &:hover {
        background-color: cui-color($name, bg-hover) !important;
        color: cui-color($name, fill-hover) !important;
      }
    }

    @if $name == primary {
      .cui-active,
      .cui-text-#{$name},
      .cui-link-#{$name} {
        color: cui-color($name, text) !important;
      }
    } @else {
      .cui-text-#{$name},
      .cui-link-#{$name} {
        color: cui-color($name, text) !important;
      }
    }

    .cui-link-#{$name},
    .cui-text-#{$name}-hover {
      transition: color $cui-hover-transition;

      &:hover {
        color: cui-color($name, text-hover) !important;
      }
      &:active {
        color: cui-color($name, text-active) !important;
      }
    }
  }
}

a.cui-plain,
.cui-text-reset {
  color: inherit !important;
}

.cui-link-reset {
  color: inherit !important;
  text-decoration: inherit !important;
}
